// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "BehaviorTree/Services/BTService_BlackboardBase.h"
#include "BTService_StopAttack.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API UBTService_StopAttack : public UBTService_BlackboardBase
{
	GENERATED_BODY()
	
public:
	UBTService_StopAttack();
	virtual void OnBecomeRelevant(UBehaviorTreeComponent& OwnerComp, uint8* NodeMemory) override;
};
